'use strict';

class ComponentImage {
  cdnUrl;
  map;
  constructor(){
    this.cdnUrl = '//img.jufubao.cn/component/';
    this.map = {
      //正式
      "f896b42cada8dc58": 'jufubao-base',
      "b051157c02096f16": 'jufubao-food',
      "38cfbc8815a5e6c5": 'jufubao-travel',
      "66b54309ef1dcdc8": 'jufubao-gift',
      "6e455ed44f6766df": 'jufubao-play',
      "98948f499182f86a": 'jufubao-mall',
      "3197584cc3498b42": 'jufubao-movie',
      "2e29552b01e79214": 'jufubao-cashier',
      "a157472bf895df81": 'jufubao-health',
      '08451e1b81ce580a': 'jufubao-sms',
      '5f26c2a1948783d6': 'jufubao-saas',

      //测试
      // "f896b42cada8dc58": 'jufubao-base',
      // "b051157c02096f16": 'jufubao-food',
      // "38cfbc8815a5e6c5": 'jufubao-travel',
      // "66b54309ef1dcdc8": 'jufubao-gift',
      // "6e455ed44f6766df": 'jufubao-play',
      // "98948f499182f86a": 'jufubao-mall',
      // "3197584cc3498b42": 'jufubao-movie',
      // "2e29552b01e79214": 'jufubao-cashier',
      "1c29e30ff0ac7d0f": 'jufubao-health',
      '23bf0e11ead53d5d': 'jufubao-sms',
      '998cf00229240fcd': 'jufubao-saas',
    }
  }

  getImage(id, size = 'size4'){
    if(/^(jufubao-).+/.test(id)) {
      return `${this.cdnUrl}${id}.png?x-oss-process=style/${size}`;
    }
    else{
      if(this.map[id]) {
        return `${this.cdnUrl}${this.map[id]}.png?x-oss-process=style/${size}`;
      }
      else return ''
    }
  }
}

// let componentImage = new ComponentImage();
// console.log(componentImage.getImage('f896b42cada8dc58'));
// console.log(componentImage.getImage('jufubao-mall'));

export default new ComponentImage()
